:root {
  --color-lightest: #fff4e6;
  --color-light: #fde0bc;
  --color-medium: #ffa94d;
  --color-dark: #ff922b;
}

* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}

html {
  font-size: 62.5%;
  font-family: -apple-system, BlinkMacSystemFont, "Segoe UI", Roboto, Oxygen,
    Ubuntu, Cantarell, "Open Sans", "Helvetica Neue", sans-serif;
}

body {
  height: 100vh;
  color: #495057;
  display: flex;
  align-items: center;
  justify-content: center;
}

.app {
  min-height: 66vh;
  display: grid;
  grid-template-columns: 34rem 44rem;
  column-gap: 4rem;
  align-items: start;
}

.button {
  background-color: var(--color-medium);
  color: #343a40;
  padding: 1.4rem 1.2rem;
  border: none;
  border-radius: 7px;
  font-weight: bold;
  cursor: pointer;
  transition: 0.3s;
  box-shadow: 0 1px 3px rgba(0, 0, 0, 0.12), 0 1px 2px rgba(0, 0, 0, 0.24);
}

.button:hover {
  background-color: var(--color-dark);
}

.sidebar ul {
  list-style: none;
  display: flex;
  flex-direction: column;
  gap: 0.4rem;
  font-size: 1.4rem;
  margin-bottom: 2rem;
}

.sidebar li {
  display: grid;
  grid-template-columns: 4.8rem 1fr auto;
  align-items: center;
  column-gap: 1.6rem;

  padding: 1.2rem;
  border-radius: 7px;
  transition: 0.5s;
}

.selected,
.sidebar li:hover {
  background-color: var(--color-lightest);
}

.sidebar li img {
  border-radius: 10%;
  width: 100%;
  grid-row: span 2;
  box-shadow: 0 3px 6px rgba(0, 0, 0, 0.16), 0 3px 6px rgba(0, 0, 0, 0.23);
}

.sidebar li h3 {
  grid-row: 1;
  grid-column: 2;
}

.sidebar li p {
  grid-row: 2;
  grid-column: 2;
}

.sidebar li .button {
  grid-row: span 2;
  grid-column: 3;
}

.sidebar > .button {
  float: right;
  margin-right: 1.2rem;
}

.green {
  color: #66a80f;
}

.red {
  color: #e03131;
}

form {
  font-size: 1.6rem;
  display: grid;
  align-items: center;
  gap: 1.2rem;

  background-color: var(--color-lightest);
  border-radius: 7px;
  box-shadow: rgba(149, 157, 165, 0.3) 0px 12px 48px 0px;
}

.form-add-friend {
  grid-template-columns: 1fr 1.5fr;
  margin-bottom: 1.6rem;
  padding: 1.2rem;
}
.form-split-bill {
  grid-template-columns: 1fr 12rem;
  padding: 3.2rem 4rem;
}

label {
  font-weight: 700;
}

input,
select {
  font-family: inherit;
  color: inherit;
  font-size: 1.5rem;
  padding: 1rem;
  text-align: center;
  border: 1px solid var(--color-light);
  border-radius: 4px;
  transition: 0.3s;
}

input:focus,
select:focus {
  outline: none;
  border: 1px solid var(--color-dark);
}

form .button {
  margin-top: 0.6rem;
  grid-column: 2;
}

form h2 {
  grid-column: 1 / -1;
  font-size: 2.2rem;
  text-transform: uppercase;
  letter-spacing: -0.5px;
  margin-bottom: 1.6rem;
}
